Bug 481257 - (perl-Devel-SmallProf) Review Request: perl-Devel-SmallProf - Per-line Perl profiler
Review Request: perl-Devel-SmallProf - Per-line Perl profiler
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 00:04 EST by Iain Arnell
Modified: 2009-02-20 11:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 11:18:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-01-23 00:04:15 EST
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-SmallProf.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Devel-SmallProf-2.02-1.fc11.src.rpm
Description: 
The Devel::SmallProf profiler is focused on the time taken for a program
run on a line-by-line basis. It is intended to be as "small" in terms of
impact on the speed and memory usage of the profiled program as possible
and also in terms of being simple to use.


scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1075565
Comment 1 Parag AN(पराग) 2009-01-23 00:28:09 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1075567
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
498704ed1b888fc62b0c7092f8b590f5  Devel-SmallProf-2.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ make test gaveAll tests successful.
Files=5, Tests=14,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.05 cusr  0.02 csys =  0.09 CPU)
+ Package perl-Devel-SmallProf-2.02-1.fc11 =>
  Provides: perl(DB) perl(Devel::SmallProf) = 2.02
  Requires: perl(Time::HiRes) perl(strict)

APPROVED.
Comment 2 Iain Arnell 2009-01-23 09:12:31 EST
New Package CVS Request
=======================
Package Name: perl-Devel-SmallProf
Short Description: Per-line Perl profiler
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-01-23 18:29:49 EST
cvs done.
Comment 4 Iain Arnell 2009-01-24 01:53:51 EST
Provides: perl(DB) is bogus - I stripped it before checking in and building.
Comment 5 Fedora Update System 2009-01-26 20:55:18 EST
perl-Devel-SmallProf-2.02-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-Devel-SmallProf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1041
Comment 6 Fedora Update System 2009-01-26 20:55:25 EST
perl-Devel-SmallProf-2.02-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Devel-SmallProf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1046

Note You need to log in before you can comment on or make changes to this bug.